Upstream information

CVE-2015-7510 at MITRE

Description

Stack-based buffer overflow in the getpwnam and getgrnam functions of the NSS module nss-mymachines in systemd.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
No SUSE Bugzilla entries cross referenced.

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • libsystemd0 >= 234-22.3
  • libsystemd0-32bit >= 234-22.3
  • libudev-devel >= 234-22.3
  • libudev1 >= 234-22.3
  • libudev1-32bit >= 234-22.3
  • systemd >= 234-22.3
  • systemd-32bit >= 234-22.3
  • systemd-bash-completion >= 234-22.3
  • systemd-container >= 234-22.3
  • systemd-coredump >= 234-22.3
  • systemd-devel >= 234-22.3
  • systemd-sysvinit >= 234-22.3
  • udev >= 234-22.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libsystemd0
openSUSE Leap 15.0
  • libsystemd0 >= 234-lp150.19.1
  • libudev1 >= 234-lp150.19.1
  • libudev1-32bit >= 234-lp150.19.1
  • systemd >= 234-lp150.19.1
  • systemd-32bit >= 234-lp150.19.1
  • systemd-bash-completion >= 234-lp150.19.1
  • systemd-sysvinit >= 234-lp150.19.1
  • udev >= 234-lp150.19.1
Patchnames:
openSUSE Leap 15.0 GA libsystemd0
openSUSE Tumbleweed
  • libsystemd0 >= 228-17.1
  • libsystemd0-32bit >= 228-17.1
  • libsystemd0-mini >= 228-17.1
  • libudev-devel >= 228-17.1
  • libudev-devel-32bit >= 228-17.1
  • libudev1 >= 228-17.1
  • libudev1-32bit >= 228-17.1
  • nss-myhostname >= 228-17.1
  • nss-myhostname-32bit >= 228-17.1
  • nss-mymachines >= 228-17.1
  • nss-mymachines-32bit >= 228-17.1
  • systemd >= 228-17.1
  • systemd-32bit >= 228-17.1
  • systemd-bash-completion >= 228-17.1
  • systemd-devel >= 228-17.1
  • systemd-journal-remote >= 228-17.1
  • systemd-logger >= 228-17.1
  • systemd-mini-bash-completion >= 228-17.1
  • systemd-sysvinit >= 228-17.1
  • udev >= 228-17.1
Patchnames:
openSUSE Tumbleweed GA libsystemd0